Bug 814872 - gnome-shell 3.4.1 Memory leak
gnome-shell 3.4.1 Memory leak
Status: CLOSED DUPLICATE of bug 977387
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 18:18 EDT by Jayes
Modified: 2014-11-28 23:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:30:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jayes 2012-04-20 18:18:06 EDT
Description of problem:


Latest gnome-shell, 3.4.1, is leaking memory. Not as bad as its predecessor 3.2, but bad enough. Memory usage is about 45 MB after log-in and steadily builds up to several hundreds MB during the day. Version 3.4.0 was fine with exactly the same configuration.


How reproducible: always


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jayes 2012-04-22 06:49:57 EDT
PS.

Disabling all extensions makes no difference: A 100% default gnome-shell shows a rapidly growing memory footprint.
Comment 2 Stuart D Gathman 2012-09-03 09:03:13 EDT
Steps to Reproduce:
1. log in
2. wait a day, doing nothing

Actual results:
memory use grows by 1G/day on idle desktop


Expected results:
memory use stays constant when desktop is idle.


Additional info:
Cinnamon does the same thing, so it must be a common library component.  I just finished testing cinammon (leaving my desktop idle for 2 days and using my laptop), and here is what top shows (gnome-shell results are similar, but I didn't copy them):

10149 stuart    20   0 2630m 1.3g 9460 R  7.6 65.5 320:57.95 cinnamon           
10395 stuart    20   0  866m 153m  12m S  2.3  7.6 372:43.86 firefox            
14267 stuart    20   0  816m 114m  10m S  0.0  5.7  27:52.91 thunderbird        

For both gnome-shell and cinammon, if you leave them running long enough, they will die (presumably from oom killer).  They do restart admirably - and then the workstation is much faster!

Workaround:
When memory use gets out of hand, log out and log back in.
Comment 3 Stuart D Gathman 2012-09-03 09:08:52 EDT
Would it help to do a kill -11 on gnome-shell with resident mem > 1G?  I don't think so, we really need a heap analyzer, not a stack trace, but just asking.
Comment 4 Stuart D Gathman 2012-09-09 23:05:23 EDT
Is there a memory allocation syscall we could trace?
Comment 5 Stuart D Gathman 2012-09-09 23:07:13 EDT
Gnome-fallback does not have the problem.  No noticable memory growth after a week in fallback mode.  Only gnome-shell and cinnamon.
Comment 6 Stuart D Gathman 2012-09-12 16:03:53 EDT
After about 2 days (at which point it is consuming 2G), gnome-shell goes away.  Virtual memory use then goes down to normal.  It was not killed by OOM, and nothing is logged in messages that I can find.  Next time I am around when it dies, I will look in dmesg.  

Sometimes, gnome-shell will restart itself after dying.  But usually, you are left with a bunch of windows open that you can't navigate between.  I can switch to a text console, but I am unclear on how to start a window manager for the GUI from a text console.
Comment 7 Fedora End Of Life 2013-07-03 21:44:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 02:30:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Pádraig Brady 2014-11-28 23:53:08 EST

*** This bug has been marked as a duplicate of bug 977387 ***

Note You need to log in before you can comment on or make changes to this bug.